'***************************************************************************
' FLDPARAM.BAS = QBasic-Programm zur Demo der Feldbergabe an SUBs/FUNCTIONs
' ============
' Das Hauptprogramm bergibt an die SUB "Potenz" zwei Felder: das eindimen-
' sionale feld "feld1" und das zweidimensionale feld "feld2".
' Die SUB Potenz ermittelt das Quadrat jeweils eines Feldelements in beiden
' Feldern und legt das Ergebnis in einem anderen Feldelement ab.
'
'
'   \         (c) Thomas Antoni, 3.10.99 - 28.7.05
'    \ /\           Mailto:thomas@antonis.de
'    ( )            http://www.antonis.de  
'  .( o ).
'              ----==== Hottest QBasic Stuff on Earth !!! ====----
'
'***************************************************************************
DECLARE SUB potenz (feldx%(), feldy%())

CLS
DIM feld1%(1 TO 2)               'eindimensionales Feld
DIM feld2%(1 TO 3, 1 TO 4)       'zweidimensionales Feld

feld1%(1) = 15
feld2%(1, 1) = 12

'----
CALL potenz(feld1%(), feld2%())  'bergabe eine eindimensionalen und eines
                                 'zweidimensionalen Feldes als Parameter.
                                 'Hinter den Feldnamen muss eine leere
                                 'Klammer stehen
'----

PRINT feld1%(2)
PRINT feld2%(3, 4)
SLEEP
END

SUB potenz (feldx%(), feldy%())

'----------------------------------------------
'Felder mssen nicht erneut deklariert werden!
'----------------------------------------------

feldx%(2) = feldx%(1) ^ 2
feldy%(3, 4) = feldy%(1, 1) ^ 2

END SUB

