'****************************************************************************
' KAESTEN.BAS - QBasic-Programmbeispiele zum Zeichen von Rechtecken
' ===========
'
' (c) Thomas Antoni, 05.99 - 29.7.05
'       thomas@antonis.de --- www.qbasic.de
'****************************************************************************
DECLARE SUB RundEck (x1%, y1%, x2%, y2%, farbe%)
CLS
LOCATE 12, 8
PRINT "4 Ksten zum Einbauen in QBasic-Programme   (c) Thomas Antoni"
LOCATE 14, 8
PRINT "Zum Anzeigen der Ksten drcke jeweils eine beliebige Taste"
SLEEP
CLS
PRINT ""
PRINT "      Ŀ"
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "                                                                 "
PRINT "        (c) Thomas Antoni  "
PRINT
SLEEP


COLOR 14, 1          'Bildschirmfarben: gelbe Schrift auf blauem Hintergrund
CLS
PRINT
PRINT
PRINT
PRINT
PRINT "    Ŀ"
PRINT "                                                                     "
PRINT "        Willkommen zum Joystick-Test                                 "
PRINT "        ============================                                 "
PRINT "                                                                     "
PRINT "        Angezeigt wird: - X- und Y-Achse                             "
PRINT "                        - Schubregler                                "
PRINT "                        - unterer/ oberer Feuerknopf                 "
PRINT "                                                                     "
PRINT "                                                                     "
PRINT "         ........ weiter mit beliebiger Taste                        "
PRINT "                                                                     "
PRINT "                                                                     "
PRINT "                                                                     "
PRINT "                                                  (c)Thomas Antoni   "
PRINT "    ٱ"
PRINT "      "
PRINT
SLEEP


'****************************************************************************
'Bildschirm blau einfrben und dick wei umrandeten Kasten mit rotem Inhalt
'erzeugen (zwischen y/x = 7/15 bis 19/65
'****************************************************************************

    COLOR 1, 1
    CLS                               'Bildschirm blau einfrben

    COLOR 15, 4                       'wei auf roten Kasten fr
    LOCATE 7, 15                      'Namensdialog malen
    PRINT ""; STRING$(48, ""); ""
    FOR y% = 8 TO 18
    LOCATE y%, 15
    PRINT ""; SPACE$(48); ""
    NEXT y%
    LOCATE , 15
    PRINT ""; STRING$(48, ""); ""

SLEEP
'**************************************************************************
' Grafisch gezeichnetes Rundeck fr 640*480-VGA-Screen 12
' ===========================================================
' mit SUBroutine RundEck aus Lit. {11/185}
'
' Zunchst weden in alle 4 Ecken Viertelkreisbgen gesetzt. Anschlieend
' werden diese durch Geraden verbunden. Der ganze Bildschirm wird mit
' derartigen Rundecken im Abstand von je 5 Pixeln vollgemalt. Die Randstrke
' betrgt jeweils 1 Pixel, die Randfarbe wird per Zufall bestimmt.
'
' (c) T.Antoni, 14.08.99 - 25.08.99
'**************************************************************************
CONST xmax% = 630
CONST ymax% = 460
CONST diff% = 5
SCREEN 12
RANDOMIZE TIMER
FOR y% = 1 TO ymax% \ 2 STEP diff%
  x% = INT(y% * (xmax% / ymax%))
  xeck% = xmax% - x%
  yeck% = ymax% - y%
  farbe% = INT(RND * 15) + 1
  CALL RundEck((x%), (y%), (xeck%), (yeck%), (farbe%))
                      'eingeklammerte Parameter ==> call by value
NEXT y%

SLEEP
SCREEN 0
COLOR 15, 0                    'Wieder Wei/Schwarz-Bildschirm setzen ...
CLS                            '...und aktivieren
END

SUB RundEck (x1%, y1%, x2%, y2%, farbe%)
'*****************************************************************************
' Subroutine RundEck zum Zeichnen eines abgerundeten Vierecks auf Grafikscreen
' ============================================================================
' bergabeparameter:
'  - x1%, y1%  = Koordinaten der linken oberen Ecke
'  - x2%, y2%  = Koordinaten der rechten unteren Ecke
'  - farbe%    = Randfarbe
'
' (c) Thomas Antoni, 24.08.99 - 25.08.99
'*****************************************************************************
'------- Rundungsfaktor/ Radius ------
IF y2% - y1% > 10 THEN q% = 10:  ELSE q% = 2

'------- Eckwerte fr Kreisbgen -----
DIM Eck(4)
FOR i% = 0 TO 3
  Eck(i%) = i% * 3.14 / 2
NEXT i%

'------- Rundeck/ Linien -------------
CIRCLE (x1% + q%, y1% + q%), q%, farbe%, Eck(1), Eck(2)
LINE (x1% + q%, y1%)-(x2% - q%, y1%), farbe%
CIRCLE (x2% - q%, y1% + q%), q%, farbe%, Eck(0), Eck(1)
LINE (x2%, y1% + q%)-(x2%, y2% - q%), farbe%
CIRCLE (x2% - q%, y2% - q%), q%, farbe%, Eck(3), Eck(0)
LINE (x2% - q%, y2%)-(x1% + q%, y2%), farbe%
CIRCLE (x1% + q%, y2% - q%), q%, farbe%, Eck(2), Eck(3)
LINE (x1%, y2% - q%)-(x1%, y1% + q%), farbe%

END SUB

