'***************************************************************************
'
' MENU3.BAS - ein Beispiel fr ein Auswahlmenue mit ON KEY
' =========
' Dies Programm verwendet die "Ereignisgesteuerte Tastenbearbeitung" zur
' Realisierung eines textbasierten Menues. Die Befehle KEY n% und KEY ON
' werden genutzt, um unten auf dem Bildschirm eine Menuezeile anzuzeigen.
'
' Diese Methode ist etwas verzwickt und fehleranfaellig, weil das laufende
' Hauptprogramm aehnlich wie bei einem Interrupt an beliebiger Stelle durch
' die Tastenbearbeitung unterbrochen werden kann. Daher wird diese Methode
' von Einsteigern selten verwendet.
'
'
'   \         (c) Thomas Antoni, 28.10.02 - 28.10.02
'    \ /\           Mailto:thomas@antonis.de
'    ( )            www.antonis.de  --- www.qbasic.de
'  .( o ).
'              ----==== Hottest QBasic Stuff on Earth !!! ====----
'
'***************************************************************************

'---------- Menue-Texte in unterster Zeile anzeigen ------------------------
CLS
KEY 1, "Rumen"
KEY 2, "Schlaf"
KEY 3, "Kino"
KEY 4, "Ende"
KEY ON   'Funktionstastenzeile anzeigen
LOCATE 23, 4
PRINT "Waehle die gewuenschte Funktion ueber die Funktionstasten F1-F4";

'---- Ereignisgesteuerte Tasten F1-F4 u.deren Bearbeitung definieren -------
ON KEY(1) GOSUB Raeumen
ON KEY(2) GOSUB Schlaf
ON KEY(3) GOSUB Kino
ON KEY(4) GOSUB Ende

FOR i% = 1 TO 4: KEY(i%) ON: NEXT  'Tastenverfolgung fuer F1-F4 aktivieren

'---------- Hauptprogrammschleife ------------------------------------------
'----- wird ereignisgesteuert durch F1-F4 unterbrochen ---------------------
DO
  taste$ = INKEY$  'Die Unterprogramme sollten taste$ statt INKEY$ verwenden
  LOOP WHILE taste$ <> CHR$(27)
END

'---------- Lokale SUBS fuer die Funktionstastenbearbeitung F1-F4 ----------
'Fuege hier jeweils statt PRINT die eigentliche Bearbeitung ein.
'Mit KEY OFF laesst sich die Funktionstastenzeile bei Bedarf ausblenden

Raeumen:  'F1 bearbeiten
  CLS
  PRINT "   Du hast Aufraeumen gewaehlt"
RETURN

Schlaf:   'F2 bearbeiten
  CLS
  PRINT "   Du hast Schlafen gewaehlt  "
RETURN

Kino:     'F3 bearbeiten
  CLS
  PRINT "   Du hast Kino gewaehlt"
RETURN

Ende:     'F4 bearbeiten
  END



