'****************************************************************************
' MUSTER.BAS - QBasic-Programm zum Zeichnen gemusterter Farbflchen
' ==========
'
' Es werden 300 Zufallskreise auf den VGA-Bildschirm Screen 11 gezeichnet,
' die anschlieend jeweils mit einem Zufallsmuster aus 16 Zufallsbits
' ausgemalt werden (Bitmuster je 16-Pixel-Zeile, das nach Beendigung
' wiederholt wird; dies ergibt rein zufllige senkrechte Zufallsstreifen).
'
' Verwendete Befehle: CIRCLE, PAINT, RND
'
' (aus Lit. {11/189})
'
'   \         (c) Thomas Antoni, Rosieres/ Frankreich, 25.8.99
'    \ /\           Mailto:thomas@antonis.de
'    ( )            http://www.antonis.de  
'  .( o ).
'              ----==== Hottest QBasic Stuff on Earth !!! ====----
'
'****************************************************************************

CONST xmax = 630
CONST ymax = 460
SCREEN 11 ' VGA/ MCGA-Grafikbildschirm, 640 x 480 Pixel
RANDOMIZE TIMER

'------ Kreise zeichnen/ mustern -----------
FOR i% = 1 TO 300
  x% = INT(RND * xmax%)
  y% = INT(RND * ymax%)
  radius% = INT(RND * 20)
  CIRCLE (x%, y%), radius%, 1
  muster$ = CHR$(INT(RND * 255)) + CHR$(INT(RND * 255))    '2 Zufallszeichen
  PAINT (x%, y%), muster$, 1
NEXT i%

SLEEP
SCREEN 0
CLS
END


