'***************************************************************************
' VARPTR$.BAS - QBasic-Programm zur Demonstration der BVARPTR$-Funktion
' ===========
' Dieser eigenartige Befehl ist in der QBasic-Onlinehilfe leider nur sehr
' drftig dokumentiert. Der "Normalfall" fehlt dort, vielleicht weil es dafr
' wenig Anwendungen gibt.
'
'
'   \         (c) Thomas Antoni, 12.10.99
'    \ /\           Mailto:thomas@antonis.de
'    ( )            http://www.antonis.de  
'  .( o ).
'              ----==== Hottest QBasic Stuff on Earth !!! ====----
'
'
'****************************************************************************

'--- VARPTR$-Funktion, Normalfall -------------------------------------------

CLS
a& = 4711
t$ = VARPTR$(a&)

'--- ASCII-Code der zurckgelieferten 3 Zeichen anzeigen:
PRINT ASC(t$); ASC(RIGHT$(t$, 2)); ASC(RIGHT$(t$, 1))
'      |            |                    |
'      |            |                    +-- Hi-Byte der Offsetadresse
'      |            +----------------------- Lo-Byte der Offsetadress
'      |                  (Bei dynamischen Strings wird die Offsetadresse des
'      |                                  String-Deskriptors zurckgeliefert)
'      |
'      +----Variablentyp (2=INT, 3=STRING, 4=SINGLE, 8=DOUBLE, 20=LONG)

SLEEP

'--- VARPTR$-Funktion, Spezialfall ------------------------------------------
'--- in Play-Befehl oder DRAW-Befehl auf Befehlsstring angewendet -----------

PRINT "Abbrechen....[Esc]"
Tonleiter$ = "CDEFGAB"
PLAY "L16"
FOR i% = 0 TO 6
   IF INKEY$ = CHR$(27) THEN END
   PLAY "O" + STR$(i%)
   PLAY "X" + VARPTR$(Tonleiter$)
NEXT i%
SLEEP
END

