'***************************************************************************
' FILE-SEQ.BAS - Demo fuer die Bearbeitung einer sequentiellen Datei
' ============
' QBasic-Programm zur Demonstration der Dateibearbeitung
' Dieses kleine Demoprogramm zeigt, wie einfach und bequem man in QBasic
' Daten in eine sequentielle Datei abspeichern und wieder zuruecklesen
' kann:
' - Zunaechst werden die Namen von 2 Personen und deren Alter abgefragt
' - Diese Daten werden dann in die kleine sequentielle Datei "c:\tmp.dat"
'   eingetragen
' - Anschliessend werden diese 2 "Datensaetze" aus der Datei zurueckgelesen
'   und in komprimierter Form auf dem Bildschirm angezeigt.
' Sie knnen spasseshalber die resultierende Datei c:\tmp.dat mit einem
' Texteditor anschauen und anschliessend von Hand lschen
'
'
'   \         (c) Thomas Antoni, 1.8.1999 - 3.11.2002
'    \ /\           Mailto:thomas@antonis.de
'    ( )            www.antonis.de  ---  www.qbasic.de
'  .( o ).
'              ----==== Hottest QBasic Stuff on Earth !!! ====----
'
'****************************************************************************

'------------------- Daten abfragen und in Datei schreiben ------------------
CLS
OPEN "c:\tmp.dat" FOR OUTPUT AS #1
FOR i% = 1 TO 2
  PRINT "Eingabe des Datensatzes "; i%
  INPUT "Gib den Namen ein "; name$
  INPUT "Gib das Alter ein "; alter%
  PRINT
  WRITE #1, name$
  WRITE #1, alter%
NEXT

'-------------------- Daten aus der Datei auslesen und anzeigen --------------
CLS
CLOSE #1
OPEN "c:\tmp.dat" FOR INPUT AS #1
FOR i% = 1 TO 2
  INPUT #1, name$
  INPUT #1, alter%
  PRINT i%, name$, alter%
NEXT
CLOSE #1
SLEEP
END

