'****************************************************************************
' PEEKPOK1 = QBasic Program mit Zugriff auf numer. Variable ber PEEK/POKE
' ========
' Es wird der PEEK- und der POKE-Befehl fr INTEGER-Variable demonstriert.
'
' Hierbei ist darauf zu achten, da die INTEGER-Werte in Bytes zerlegt und
' aus Einzelbytes (vorzeichenrichtig!) wieder zusammengesetzt werden mssen,
' da sich ber PEEK und POKE grundstzlich nur auf Bytes zugreifen lt.
' PEKPOK1.BAS demonstriert, dass fr diesen kniffligen Job die Befehle CHR$,
' CVI und MKI$ gut geeignet sind; die beiden letzteren Befehle werden norma-
' lerweise fr die Bearbeitung von Pseudostrings bei Dateien mit FIELD-Puffer
' verwendet.
'
'
'   \         (c) Thomas Antoni, 10.10.99 - 11.10.99
'    \ /\           Mailto:thomas@antonis.de
'    ( )            http://www.antonis.de  
'  .( o ).
'              ----==== Hottest QBasic Stuff on Earth !!! ====----
'
'****************************************************************************


DO
CLS
'-------- Variablenwert a% im Dialog erfragen -------------------------------
PRINT "PEEK und POKE fr Integer-Variable"
PRINT "=================================="
INPUT "Gib einen Integer-Wert ein (-32768...32766): E ="; a%

'--- a% im direkten Speicherzugriff per PEEK lesen und inkrementieren --------
segm& = VARSEG(a%)  'Segmentadresse von a%
offs& = VARPTR(a%)  'Offsetadresse von a%
DEF SEG = segm&     'aktuelles Segment:=Segment, in d.sich a% befindet
b$ = CHR$(PEEK(offs&)) + CHR$(PEEK(offs& + 1))
                    'Lo-/Hi-Byte als 'Pseudostring' lesen (Trick!)
c% = CVI(b$) + 1    'Pseudostring wieder in INTEGER-Wert wandeln u.inkrem.

'---- Inkrementierten Wert in a% zurckspeichern per POKE ----------------------
d$ = MKI$(c%)       'inkrementierten Wert in Pseudostring umandeln
POKE offs&, c%                           'POKE speichert immer nur das Lo-Byte
hibyte% = CVI(RIGHT$(d$, 1) + CHR$(0))   'Hi-Byte ins Lo-Byte schieben
POKE offs& + 1, hibyte%                  'Hi-Byte speichern

'---- a% anzeigen (inkrementierter Wert) und Abschludialog ------------------
PRINT a%
PRINT
PRINT "Wiederholen....[beliebige Taste]      Beenden....[Esc]"
DO: taste$ = INKEY$: LOOP WHILE taste$ = ""   'Warten auf Tastenbettigung
LOOP UNTIL taste$ = CHR$(27)
END

