'****************************************************************************
' CHKDRIVE.BAS - zeigt die Laufwerksbuchstaben der vorhandenen Laufwerke an
' ===========================================================================
' This Q(uick)Basic programm checks the available drives and displays their
' drive letters. The programm is based on a piece of code which I recieved
' from NetZman
'   (Mailto:netzman@gmx.at ;  http://netzman.exit.mytoday.de/ )
'
' Hint: SHELL "fdisk /status" would also do part of the job, but cannot
'       detect floppy drives
'
' (c) Thomas Antoni, 17.01.01 - 28.7.05
'****************************************************************************

ON ERROR GOTO ErrorHandler
CLS : PRINT "The following Drives are available:"
FOR i% = 65 TO 90              'ASCII codes for Drive Letters "A" to "Z"
  IF i% <> 66 THEN             'Skip Floppy "B:\", doesn't work on my PC
    CHDIR CHR$(i%) + ":\"
    PRINT CHR$(i%) + ":"
  END IF
NextDrive:
NEXT i%
END

ErrorHandler:              'Drive not existing or no storage medium inserted
i% = i% + 1                'skip the current drive & goto next one
RESUME NextDrive

