'****************************************************************************
' SORT2.BAS = QuickSort-Algorithmus (nicht rekursiv, sondern iterativ)
' =========
' Dieses Q(uick)Basic-Programm sortiert die in einem Feld "SortArray%()"
' hinterlegten' Integerzahlen ab dem Feldindex "Lower% bis zum Feldindex
' "Upper%".
' Es kommt der QuickSort-Algorithmus in einer "nicht rekursiven" (nicht sich
' selbst aufrufenden) Variante zur Anwendung. Das Programm verwendet einen
' "Software-Stack".
'
' (c) Thomas Antoni, 29.7.05
'       Unter Verwendung der QuickSort-Routine aus der Unterprogrammsammlung
'       QSUBFUN.BAS von Matthew R. Usner
'****************************************************************************
DECLARE SUB QuickSort (SortArray%(), Lower%, Upper%)
DIM feld%(6)
CLS
PRINT "Eingabe von 5 unsortierten Ganzzahlen (1 ... 30000):"
'
FOR i% = 1 TO 5
  PRINT "Gib die "; i%; "-te Zahl ein: ";
  INPUT feld%(i%)
NEXT
'
CALL QuickSort(feld%(), 1, 5)
PRINT
PRINT "Die sortierten Zahlenreihe lautet wie folgt:"
FOR i% = 1 TO 5
  PRINT feld%(i%)
NEXT

'
SUB QuickSort (SortArray%(), Lower%, Upper%)
'*******************************************************************************
'*  QuickSort
'*  =========
'*  non-recursive quicksort algorithm                                          *
'*  the data type for SortArray and Compare need to be changed if array to be  *
'*  sorted is non - integer                                                    *
'*******************************************************************************
DIM SortStackLow%(128)
DIM SortStackHigh%(128)
StackPointer% = 1
SortStackLow%(StackPointer%) = Lower%
SortStackHigh%(StackPointer%) = Upper%
StackPointer% = StackPointer% + 1
'
DO
   StackPointer% = StackPointer% - 1
   Low% = SortStackLow%(StackPointer%)
   High% = SortStackHigh%(StackPointer%)
'
   DO
     i% = Low%
     J% = High%
     Mid% = (Low% + High%) \ 2
     Compare% = SortArray%(Mid%)
'
     DO
'
        DO WHILE SortArray%(i%) < Compare%
           i% = i% + 1
        LOOP
'
        DO WHILE SortArray%(J%) > Compare%
           J% = J% - 1
        LOOP
'
        IF i% <= J% THEN
           SWAP SortArray%(i%), SortArray%(J%)
           i% = i% + 1
           J% = J% - 1
        END IF
'
     LOOP WHILE i% <= J%
'
     IF J% - Low% < High% - i% THEN
        IF i% < High% THEN
           SortStackLow%(StackPointer%) = i%
           SortStackHigh%(StackPointer%) = High%
           StackPointer% = StackPointer% + 1
        END IF
        High% = J%
     ELSE
        IF Low% < J% THEN
           SortStackLow%(StackPointer%) = Low%
           SortStackHigh%(StackPointer%) = J%
           StackPointer% = StackPointer% + 1
        END IF
        Low% = i%
     END IF
'
   LOOP WHILE Low% < High%
'
LOOP WHILE StackPointer% <> 1

END SUB

